package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import org.hibernate.annotations.Type;
import org.hibernate.envers.Audited;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.google.gson.annotations.Expose;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

/**
 *  class Agama
 * 
 * @author Generator
 */
@Entity //@Audited
@Table(name = "PemeriksaanLimbahDetail_T")
public class PemeriksaanLimbahDetail extends BaseTransaction {
	
	@ManyToOne
	@JoinColumn(name = "ObjectPemeriksaanLimbahFk")
	@Caption(value = "ObjectPemeriksaanLimbahFk")
	@NotNull(message="pemeriksaan Limbah tidak boleh kosong")
	@JsonBackReference
	private PemeriksaanLimbah pemeriksaanLimbah;
	
	@Column(name = "ObjectPemeriksaanLimbahFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false,nullable=false)
	@Caption(value = "ObjectPemeriksaanLimbahFk")
	private String pemeriksaanLimbahId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectProdukKeslingNilaiNormalFK")
	@Caption(value = "ObjectProdukKeslingNilaiNormalFK")
	@NotNull(message="pemeriksaan Limbah tidak boleh kosong")
	private ProdukKeslingNilaiNormal produkKeslingNilaiNormal;
	
	@Column(name = "ObjectProdukKeslingNilaiNormalFK", insertable = false, updatable = false,nullable=false)
	@Caption(value = "ObjectProdukKeslingNilaiNormalFK")
	private Integer produkKeslingNilaiNormalId;
	
	@Column(name = "nilai")
	@Caption(value = "nilai")
	private String nilai;
	
	@Column(name = "keterangan")
	@Caption(value = "keterangan")
	@Type(type="text")
	private String keterangan;

	public PemeriksaanLimbah getPemeriksaanLimbah() {
		return pemeriksaanLimbah;
	}

	public void setPemeriksaanLimbah(PemeriksaanLimbah pemeriksaanLimbah) {
		this.pemeriksaanLimbah = pemeriksaanLimbah;
	}

	public String getPemeriksaanLimbahId() {
		return pemeriksaanLimbahId;
	}

	public void setPemeriksaanLimbahId(String pemeriksaanLimbahId) {
		this.pemeriksaanLimbahId = pemeriksaanLimbahId;
	}

	public ProdukKeslingNilaiNormal getProdukKeslingNilaiNormal() {
		return produkKeslingNilaiNormal;
	}

	public void setProdukKeslingNilaiNormal(ProdukKeslingNilaiNormal produkKeslingNilaiNormal) {
		this.produkKeslingNilaiNormal = produkKeslingNilaiNormal;
	}

	public Integer getProdukKeslingNilaiNormalId() {
		return produkKeslingNilaiNormalId;
	}

	public void setProdukKeslingNilaiNormalId(Integer produkKeslingNilaiNormalId) {
		this.produkKeslingNilaiNormalId = produkKeslingNilaiNormalId;
	}

	public String getNilai() {
		return nilai;
	}

	public void setNilai(String nilai) {
		this.nilai = nilai;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}
	
	

	
}

